net.sf.jasperreports.components.table.fill

## Class FillTableSubreport

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElement
  - - net.sf.jasperreports.engine.fill.JRFillSubreport
    - - net.sf.jasperreports.components.table.fill.FillTableSubreport

- All Implemented Interfaces:
    java.lang.Cloneable, DynamicPropertiesHolder, JRFillCloneable, JRChild, JRCloneable, JRCommonElement, JRElement, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRStyleSetter, JRSubreport, JRVisitable

      public class FillTableSubreport
      extends JRFillSubreport

  Version:
    $Id: FillTableSubreport.java 6451 2013-08-30 11:20:08Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillSubreport

      `subreportFiller`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement

      `band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, dynamicTransferProperties, elementGroup, expressionEvaluator, fillContainerContext, filler, initStyle, mergedProperties, originProvider, parent, printElementOriginator, printWhenGroupChanges, propertyExpressions, providerStyle, staticProperties, styleProviders, templates`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FillTableSubreport(FillContext fillContext, JRSubreport subreport, JRFillObjectFactory factory, TableJasperReport tableReport, BuiltinExpressionEvaluatorFactory builtinEvaluatorFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cancelSubreportFill()`
    `protected void` | `copyConnectionParameter(java.util.Map<java.lang.String,java.lang.Object> parameterValues)`
    `protected void` | `copyResourceBundleParameter(java.util.Map<java.lang.String,java.lang.Object> parameterValues)`
    `protected void` | `copyTemplatesParameter(java.util.Map<java.lang.String,java.lang.Object> parameterValues)`
    `protected DatasetExpressionEvaluator` | `createEvaluator()`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `evaluateParameterValues(byte evaluation)`
    `protected JasperReport` | `evaluateReport(byte evaluation)`
    `protected void` | `evaluateSubreport(byte evaluation)`
    `protected int` | `getContentsStretchHeight()`
    `protected java.util.Collection<JRPrintElement>` | `getPrintElements()`
    `protected java.util.List<JROrigin>` | `getSubreportOrigins()`
    `protected java.util.List<JRStyle>` | `getSubreportStyles()`
    `TableJasperReport` | `getTableReport()`
    `protected FillPrepareResult` | `prepareSubreport(int availableHeight, boolean isOverflow)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillSubreport

      `collectExpressions, createClone, createElementTemplate, evaluate, fill, fillSubreport, getConnectionExpression, getDataSourceExpression, getExpression, getJRTemplateRectangle, getModeValue, getOverflowType, getParameters, getParametersMapExpression, getParameterValues, getParameterValues, getReturnValues, getRunnerFactory, getUsingCache, initSubreportFiller, isOwnUsingCache, isRunToBottom, isUsingCache, loadReportEvaluator, prepare, resolveElement, rewind, setBand, setOverflowType, setRunToBottom, setUsingCache, subreportPageFilled, usingCache, validateReport, verifyBandHeights, visit`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement

      `addDependantElement, addDynamicProperty, clone, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, collectStyleProviderDelayedEvaluations, delayedEvaluate, delayedEvaluationUpdatesTemplate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, evaluateStyle, getBackcolor, getBand, getConditionalStylesContainer, getDefaultStyleProvider, getDependantElements, getDynamicProperties, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getEvaluationTimeValue, getField, getFiller, getForecolor, getGroupElements, getHeight, getInitStyle, getKey, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParent, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getUUID, getVariable, getWidth, getX, getY, hasDynamicProperties, hasDynamicProperty, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, initStyleProviders, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, setAlreadyPrinted, setBackcolor, setConditionalStylesContainer, setCurrentEvaluation, setExpressionEvaluator, setForecolor, setHeight, setMode, setOriginProvider, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchHeight, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchElementToHeight, stretchHeightFinal, transferProperties, transferProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Constructor Detail

    - #### FillTableSubreport

          protected FillTableSubreport(FillContext fillContext,
                            JRSubreport subreport,
                            JRFillObjectFactory factory,
                            TableJasperReport tableReport,
                            BuiltinExpressionEvaluatorFactory builtinEvaluatorFactory)

  - ### Method Detail

    - #### getTableReport

          public TableJasperReport getTableReport()

    - #### evaluateReport

          protected JasperReport evaluateReport(byte evaluation)
                                         throws JRException

      Overrides:
        `evaluateReport` in class `JRFillSubreport`
      Throws:
        `JRException`

    - #### createEvaluator

          protected DatasetExpressionEvaluator createEvaluator()
                                                        throws JRException

      Overrides:
        `createEvaluator` in class `JRFillSubreport`
      Throws:
        `JRException`

    - #### evaluateSubreport

          protected void evaluateSubreport(byte evaluation)
                                    throws JRException

      Overrides:
        `evaluateSubreport` in class `JRFillSubreport`
      Throws:
        `JRException`

    - #### evaluateParameterValues

          protected java.util.Map<java.lang.String,java.lang.Object> evaluateParameterValues(byte evaluation)
                                                                                      throws JRException

      Overrides:
        `evaluateParameterValues` in class `JRFillSubreport`
      Throws:
        `JRException`

    - #### copyConnectionParameter

          protected void copyConnectionParameter(java.util.Map<java.lang.String,java.lang.Object> parameterValues)

    - #### copyResourceBundleParameter

          protected void copyResourceBundleParameter(java.util.Map<java.lang.String,java.lang.Object> parameterValues)

    - #### copyTemplatesParameter

          protected void copyTemplatesParameter(java.util.Map<java.lang.String,java.lang.Object> parameterValues)

    - #### prepareSubreport

          protected FillPrepareResult prepareSubreport(int availableHeight,
                                           boolean isOverflow)
                                                throws JRException

      Throws:
        `JRException`

    - #### getPrintElements

          protected java.util.Collection<JRPrintElement> getPrintElements()

      Overrides:
        `getPrintElements` in class `JRFillSubreport`

    - #### getContentsStretchHeight

          protected int getContentsStretchHeight()

      Overrides:
        `getContentsStretchHeight` in class `JRFillSubreport`

    - #### getSubreportStyles

          protected java.util.List<JRStyle> getSubreportStyles()

    - #### getSubreportOrigins

          protected java.util.List<JROrigin> getSubreportOrigins()

    - #### cancelSubreportFill

          protected void cancelSubreportFill()
                                      throws JRException

      Overrides:
        `cancelSubreportFill` in class `JRFillSubreport`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com